package structs

// swagger:model CreateOrganizationRequest
type CreateOrganizationRequest struct {
	Email    string
	Password string
}

// swagger:model CreateOrganizationResponse
type CreateOrganizationResponse struct {
	OrganizationSubdomain string
	Session               string
}

// swagger:model GetOrganizationSettingsResponse
type GetOrganizationSettingsResponse struct {
	Subdomain    string
	CompanyName  string
	PrimaryColor string
	LogoUrl      string
	BannerUrl    string
}

// swagger:model UpdateOrganizationSettingsRequest
type UpdateOrganizationSettingsRequest struct {
	CompanyName  string
	PrimaryColor string
}

// swagger:model UpdateOrganizationFileParam
type UpdateOrganizationFileParam struct {
	Type string
}

// swagger:model IsSubdomainAvailableResponse
type IsSubdomainAvailableResponse struct {
	Available bool
}

// swagger:model SubdomainParam
type SubdomainParam struct {
	Subdomain string
}
